Problem orienting circles

why is It easy to place sphere than circles …???
spheres(which are 3d) are easy circles(2d)
is there a way where points can be used as planes to create geometry or orient ???

import rhinoscriptsyntax as rs
for i in range(0,20):
a = rs.AddPoint(i,0,0)
rs.AddSphere(a,i/12)

is possible

why not

import rhinoscriptsyntax as rs
for i in range(0,20):
a = rs.AddPoint(i,0,0)
rs.AddCircle(a,i/12)

You need to read the Help for rhinoscriptsyntax.

Syntax
rhinoscriptsyntax.AddCircle( plane_or_center, radius )

Parameters

plane_or_center
Required. Plane, Point3d, list of 3 numbers, or identifier
of a point object. The plane on which the circle will lie. The origin of the
plane will be the center point of the circle. If the input is a “point” and not
a plane, the active view plane is used

radius
Required. Number. The radius of the circle.

And: you do not need to use rs.AddPoint() to add a point to document in order to specify a point for the center of an object. Use a 3dpoint object instead:

ctr=rs.coerce3dpoint([i,0,0])
rs.AddCircle(ctr,i/12)

–Mitch

Thanks MItch

I figured out that The range values shouldn’t start with "0"
or else it works fine.

Yes, you can’t have a circle/sphere with radius 0. --M

1 Like